gRPC C#
gRPC C#
Namespaces
Grpc.Core
ServerCallContext Class
ServerCallContext Methods
CreatePropagationToken Method
WriteResponseHeadersAsync Method

ServerCallContext WriteResponseHeadersAsync Method

Asynchronously sends response headers for the current call to the client. This method may only be invoked once for each call and needs to be invoked before any response messages are written. Writing the first response message implicitly sends empty response headers if WriteResponseHeadersAsync haven't been called yet.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public Task WriteResponseHeadersAsync(
    	Metadata responseHeaders
    )

    Public Function WriteResponseHeadersAsync (
    	responseHeaders As Metadata
    ) As Task

    public:
    Task^ WriteResponseHeadersAsync(
    	Metadata^ responseHeaders
    )

    member WriteResponseHeadersAsync :
            responseHeaders : Metadata -> Task

#### Parameters

responseHeaders
  Type: Grpc.Core
  Metadata
  The response headers to send.

#### Return Value

Type: Task
The task that finished once response headers have been written.
See Also

#### Reference

ServerCallContext Class
Grpc.Core Namespace